### Method

# Vips Image get_double

#### Declaration [src]

    int
    vips_image_get_double (
      const VipsImage* image,
      const char* name,
      double* out
    )

#### Description [src]

Gets `out` from `im` under the name `name`. The value will be transformed into a double, if possible.

See also

`vips_image_get()`, `vips_image_get_typeof()`.

#### Parameters

`name`

  Type: `const char*`

  Field name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out`

  Type: `double*`

  Return field value.

  The argument will be set by the function.

#### Return value

Type: `int`

0 on success, -1 otherwise.